	Go Playing Game System "GOG" (Sequential Version)

[ Abstract ]

"GOG" plays entire Go games using Chinese rules.
We can edit candidate knowledge items using the knowledge editor.
We can also evaluate improved candidate knowledge items using the 
evaluation tool.

[ Features ]

The approach used by GOG is based on simulating the thinking mechanism of 
a human player.
As a Go-playing program requires the ability apply basic AI techniques such 
as searching, processing of ambiguous patterns, exceptional processing, and 
cooperative problem solving, it is a suitable research subject for knowledge 
processing technologies.

Due to the high branching factor of the Go game tree, computer chess-type 
full-board searches become hopeless in this domain.
During board recognition and planning, GOG simulates the human player's 
"focus of attention".

[ Environment ]

  Machine	   : PSI
  Operating System : SIMPOS
  Language	   : ESP
  Source Code	   : 1.5 MB

[ Files ]

KANJI_DIC.esp 			(including character code)
suuji.font	suuji2.font	(font)
gog.icon	yubi.icon	(icon)

allcmp.com	login.com	joseki.dat	joseki13ro.dat	joseki9ro.dat
PIM_DEV_D.esp	cgs.macro	location.macro	moji.macro	GAKUSHU.esp
DISP2_TSJ.esp	time.esp
AKISUMI_CV.ESP	DISPPOT.ESP	KOUBOUSHU.ESP	POT_PTN.ESP	TESTM.ESP
ANALYSIS_M.ESP	DISPSET.ESP	KOUKAON.ESP	POT_P_D.ESP	TESTP.ESP
BAN_D_W.ESP	DISPTAI.ESP	KSN.ESP		POT_T_T.ESP	TESUJI.ESP
BUNRITEN.ESP	DISP_KIFU.ESP	KSNBRD.ESP	PTN_CAND.ESP	TESUJI_ATT.ESP
BUNRI_CV.ESP	DISP_PBMS.ESP	KSNCND.ESP	READTERM.ESP	TESUJI_B.ESP
CANDIDATE.ESP	DISP_TESUJ.ESP	KYOUDO.ESP	READ_MOVE.ESP	TESUJI_CND.ESP
CAPTURE.ESP	DS_A_A.ESP	LABRD.ESP	REMOTE_M.ESP	TESUJI_KI.ESP
CAP_CD.ESP	DUMMY.ESP	LAMOVE.ESP	REMOTE_MNG.ESP	TESUJI_KP.ESP
CGS_DEMO.ESP	EDIT_PAT.ESP	LATEN.ESP	REMOTE_P.ESP	THASH.ESP
CGS_MAIN.ESP	EXPERT_A.ESP	LATENBRD.ESP	REN.ESP		TJ.ESP
CGS_M_W.ESP	FAMILY.ESP	LINE_CNTR.ESP	RENBRD.ESP	TJBRD.ESP
CGS_PWNDW.ESP	FAMILY_B.ESP	LIST_A_2.ESP	RENKETSU.ESP	TJEDIT.ESP
CGS_START.ESP	FCOMMU.ESP	LIST_A_3.ESP	RKR.ESP		TJMAIN.ESP
CGS_UTIL.ESP	FEP.ESP		LOGOUT.ESP	RKRBRD.ESP	TJNODE.ESP
CGS_WINDOW.ESP	FUTOKORO.ESP	MAIN_O_P.ESP	RS232C.ESP	TJPLAY.ESP
CH_CLOCK.ESP	FUTOKOROPC.ESP	MCAPTURE.ESP	RUI.ESP		TMG_CD.ESP
CLASS_REF.ESP	GAKUSHUCV.ESP	MEGATACHI.ESP	SBOARD.ESP	TMPMENU.ESP
CMNSLOT.ESP	GAKUSHUPC.ESP	MEKAZU.ESP	SCHECK.ESP	TSKCLOCK.ESP
COMMU.ESP	GOBRD.ESP	MEKAZU.ESPw	SCOND.ESP	TSUMEGO.ESP
COND_JUDGE	GO_D_W.ESP	MENU_D_W.ESP	SEMEAI.ESP	TUNING.ESP
COND_JUDGE.ESP	GUKEI_CV.ESP	MONDAIZU.ESP	SENRYAKU.ESP	UCHIKOMI.ESP
COUNT.ESP	GUN.ESP		MOVE_W_C.ESP	SETTEN_CV.ESP	UPGUN.ESP
D4CAPTURE.ESP	GUNBRD.ESP	NEXT_MOVE.ESP	SET_INIT.ESP	UPKKT.ESP
D4CAP_CD.ESP	GUNRYOIKI.ESP	NOZOKI_CV.ESP	SHICHO.ESP	UPKSN.ESP
DAMETEN_CV.ESP	HEAPWATCH.ESP	NZTEN.ESP	SHIKATSU.ESP	UPKSNATRB.ESP
DATA_S.ESP	HENTEN_CV.ESP	NZ_KYOKA.ESP	SIKATU_CV.ESP	UPREN.ESP
DATA_S_A.ESP	HOKAKU_CV.ESP	N_RYOUIKI.ESP	SITU_JUDGE.ESP	UPRKR.ESP
DEBUG.ESP	HOUI_CV.ESP	ODT_INIT.ESP	SMEGATACHI.ESP	UPSEIRYOKU.ESP
DEIRI.ESP	INFO_D_W.ESP	ODT_MOVE.ESP	SM_CD.ESP	UPTEN.ESP
DEMO_TAIKK.ESP	INITIATE_P.ESP	ODT_PLAY.ESP	SM_END.ESP	UP_CV.ESP
DISPB.ESP	IN_WINDOW.ESP	ODT_R_M.ESP	SSEMEAI.ESP	UP_FAMILY.ESP
DISPB1.ESP	JI.ESP		OFFSET_CV.ESP	STOPWATCH.ESP	UP_POT.ESP
DISPB2.ESP	JIBRD.ESP	OKIISHI.ESP	S_ANA.ESP	YOSE_CV.ESP
DISPB3.ESP	JSKBRD.ESP	PAT_DATA.ESP	TAIKYOKU.ESP	YOSE_PC.ESP
DISPBIG.ESP	JSKNODE.ESP	PBM_CMD.ESP	TAI_INFO_W.ESP	ZAHYO.ESP
DISPBIG2.ESP	JUDGE.ESP	PBM_MAIN.ESP	TANEISHI.ESP	
DISPCLOCK.ESP	KE_SOUND.ESP	PBM_R_M.ESP	TEJYUNGI.ESP	
DISPDEB.ESP	KE_WINDOW.ESP	PCBRD.ESP	TEMPDAME.ESP	
DISPEXP.ESP	KH_TOOL.ESP	PC_LIST.ESP	TEN.ESP		
DISPLAY_KH.ESP	KIFU.ESP	PHASE_A.ESP	TENBRD.ESP	
DISPODT.ESP	KIFU_DATA.ESP	PLAYSLOT.ESP	TENCV.ESP
DISPPBM.ESP	KIFU_EDITR.ESP	POT_INPUT.ESP	TEST.ESP

[ Installation ]

Please refer to INSTALL.e.

[ Operation ]

Please refer to OPERATION.e.

[ Reference ]

Methodology of GOSEDAI, N.Sanechika et al., ICOT-TR 717
The Specifications of "GO Generation", N.Sanechika et al., ICOT-TR 720